package com.clx.performance.dao.loan;


import com.clx.performance.mapper.loan.BankTradeMapper;
import com.clx.performance.model.loan.BankTrade;
import com.msl.common.base.Optional;
import com.msl.common.dao.BaseDao;

/**
 * @Author: aiqinguo
 * @Description:
 * @Date: 2024/01/17 13:42:57
 * @Version: 1.0
 */
public interface BankTradeDao extends BaseDao<BankTradeMapper, BankTrade, Integer> {

    boolean updateStatus(BankTrade item);

    Optional<BankTrade> selectByMerchantRunningWaterNo(String merchantRunningWaterNo);

    Optional<BankTrade> selectByRelationNo(String relationNo);


}
